# view backend exportable

## Functions

### wpe_view_backend_exportable_fdo_create

    struct wpe_view_backend_exportable_fdo *
    wpe_view_backend_exportable_fdo_create (struct wpe_view_backend_exportable_fdo_client * ,
                                            void * ,
                                            uint32_t width,
                                            uint32_t height)

Parameters:

`` –
No description available
`` –
No description available
`width` –
No description available
`height` –
No description available
Returns (struct wpe_view_backend_exportable_fdo *) –
No description available

### wpe_view_backend_exportable_fdo_destroy

    void
    wpe_view_backend_exportable_fdo_destroy (struct wpe_view_backend_exportable_fdo * )

Parameters:

`` –
No description available
Returns (void ) –
No description available

### wpe_view_backend_exportable_fdo_dispatch_frame_complete

    void
    wpe_view_backend_exportable_fdo_dispatch_frame_complete (struct wpe_view_backend_exportable_fdo * )

Parameters:

`` –
No description available
Returns (void ) –
No description available

### wpe_view_backend_exportable_fdo_dispatch_release_buffer

    void
    wpe_view_backend_exportable_fdo_dispatch_release_buffer (struct wpe_view_backend_exportable_fdo * ,
                                                             struct wl_resource * )

Parameters:

`` –
No description available
`` –
No description available
Returns (void ) –
No description available

### wpe_view_backend_exportable_fdo_dispatch_release_shm_exported_buffer

    void
    wpe_view_backend_exportable_fdo_dispatch_release_shm_exported_buffer (struct wpe_view_backend_exportable_fdo * ,
                                                                          struct wpe_fdo_shm_exported_buffer * )

Parameters:

`` –
No description available
`` –
No description available
Returns (void ) –
No description available

### wpe_view_backend_exportable_fdo_get_view_backend

    struct wpe_view_backend*
    wpe_view_backend_exportable_fdo_get_view_backend (struct wpe_view_backend_exportable_fdo * )

Parameters:

`` –
No description available
Returns (struct wpe_view_backend*) –
No description available

## Structures

### wpe_view_backend_exportable_fdo_client

    struct wpe_view_backend_exportable_fdo_client {
        void (*export_buffer_resource)(void* data, struct wl_resource* buffer_resource);
        void (*export_dmabuf_resource)(void* data, struct wpe_view_backend_exportable_fdo_dmabuf_resource* dmabuf_resource);
        void (*export_shm_buffer)(void* data, struct wpe_fdo_shm_exported_buffer*);
        void (*_wpe_reserved0)(void);
        void (*_wpe_reserved1)(void);
    };

#### Fields

`export_buffer_resource` () –
No description available
`export_dmabuf_resource` () –
No description available
`export_shm_buffer` () –
No description available
`_wpe_reserved0` () –
No description available
`_wpe_reserved1` () –
No description available

### wpe_view_backend_exportable_fdo_dmabuf_resource

    struct wpe_view_backend_exportable_fdo_dmabuf_resource {
        struct wl_resource* buffer_resource;
        uint32_t width;
        uint32_t height;
        uint32_t format;
        uint8_t n_planes;
        int fds[4];
        uint32_t strides[4];
        uint32_t offsets[4];
        uint64_t modifiers[4];
    };

#### Fields

`buffer_resource` (struct wl_resource *) –
No description available
`width` (uint32_t) –
No description available
`height` (uint32_t) –
No description available
`format` (uint32_t) –
No description available
`n_planes` (uint8_t) –
No description available
`fds` (int[4] ) –
No description available
`strides` (uint32_t[4] ) –
No description available
`offsets` (uint32_t[4] ) –
No description available
`modifiers` (uint64_t[4] ) –
No description available

The results of the search are